public inbox for isar-users@googlegroups.com
 help / color / mirror / Atom feed
From: Jan Kiszka <jan.kiszka@siemens.com>
To: Gylstorff Quirin <quirin.gylstorff@siemens.com>,
	isar-users@googlegroups.com
Subject: Re: [PATCH v5 4/5] linux-custom: rewrite to no longer depend on the kernel's builddeb
Date: Wed, 11 Dec 2019 16:43:53 +0100	[thread overview]
Message-ID: <79f99cd5-208c-9968-3b78-08234a206e71@siemens.com> (raw)
In-Reply-To: <de3c71d6-3779-21e8-6d47-e587d4bf8ccd@siemens.com>

On 11.12.19 16:20, Gylstorff Quirin wrote:
>> +do_build() {
>> +
>> +    # Print a few things that are of particular interest
>> +    print_settings
>> +
>> +    # Process existing kernel configuration to make sure it is complete
>> +    # (use defaults for options that were not specified)
>> +    ${MAKE} O=${KERNEL_BUILD_DIR} olddefconfig prepare || exit ${?}
>> +
>> +    # Check if the recipe's PV makes sense
>> +    KR=$(${MAKE} O=${KERNEL_BUILD_DIR} -s --no-print-directory
>> kernelrelease)
>> +    eval $(grep ^CONFIG_LOCALVERSION= ${KERNEL_BUILD_DIR}/${KCONF} ||
>> true)
>> +    if [ "${PV}-${KERNEL_LOCALVERSION}" != "${KR}" ]; then
>> +        echo "ERROR: Recipe version (${PV}-${KERNEL_LOCALVERSION})
>> does not seem to match the kernelrelease (${KR})!" 1>&2
>> +        echo "ERROR: Make sure the kernel version in your NAME/PV/PR
>> settings and/or CONFIG_LOCALVERSION are aligned" 1>&2
>> +        exit 1 > +    fi
> 
> we have some CI use case where we build the latest git release could we
> add something like this
> 
> -    if [ "${PV}-${KERNEL_LOCALVERSION}" != "${KR}" ]; then
> -        echo "ERROR: Recipe version (${PV}-${KERNEL_LOCALVERSION}) does
> not seem to match the kernelrelease (${KR})!" 1>&2
> -        echo "ERROR: Make sure the kernel version in your NAME/PV/PR
> settings and/or CONFIG_LOCALVERSION are aligned" 1>&2
> -        exit 1
> +    if [ "${PV}" =~ "latest" ]; then

I suspect you wanted to suggest != "latest".

> +        if [ "${PV}-${KERNEL_LOCALVERSION}" != "${KR}" ]; then
> +            echo "ERROR: Recipe version (${PV}-${KERNEL_LOCALVERSION})
> does not seem to match the kernelrelease (${KR})!" 1>&2
> +            echo "ERROR: Make sure the kernel version in your
> NAME/PV/PR settings and/or CONFIG_LOCALVERSION are aligned" 1>&2
> +            exit 1
> +        fi

We need some relaxation path for the check, yes. Given the other
versioning issue, I'm still trying to build a complete picture.

Jan

-- 
Siemens AG, Corporate Technology, CT RDA IOT SES-DE
Corporate Competence Center Embedded Linux

  reply	other threads:[~2019-12-11 15:43 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-10 18:22 [PATCH v5 0/5] linux-custom recipe rework Jan Kiszka
2019-12-10 18:22 ` [PATCH v5 1/5] recipes-kernel/linux: make KERNEL_DEFCONFIG support in-tree defconfigs Jan Kiszka
2019-12-10 18:22 ` [PATCH v5 2/5] linux-mainline: fix stripping of .0 from the kernel version Jan Kiszka
2019-12-10 18:22 ` [PATCH v5 3/5] linux-mainline: update from 4.19.0 to 4.19.88 Jan Kiszka
2019-12-10 18:22 ` [PATCH v5 4/5] linux-custom: rewrite to no longer depend on the kernel's builddeb Jan Kiszka
2019-12-11 14:40   ` Jan Kiszka
2019-12-11 15:20   ` Gylstorff Quirin
2019-12-11 15:43     ` Jan Kiszka [this message]
2019-12-11 18:36       ` Jan Kiszka
2019-12-11 22:09         ` Henning Schild
2019-12-12  7:57           ` Gylstorff Quirin
2019-12-12  8:01             ` Jan Kiszka
2019-12-12  9:46               ` Gylstorff Quirin
2019-12-12 10:10                 ` Gylstorff Quirin
2019-12-10 18:22 ` [PATCH v5 5/5] linux-mainline: Test config fragments Jan Kiszka
2019-12-19 15:19 ` [PATCH v5 0/5] linux-custom recipe rework cedric_hombourger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=79f99cd5-208c-9968-3b78-08234a206e71@siemens.com \
    --to=jan.kiszka@siemens.com \
    --cc=isar-users@googlegroups.com \
    --cc=quirin.gylstorff@siemens.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox